package com.lifepay.pinpaddemo.utils;

import android.content.Context;
import android.content.Intent;
import android.os.Build;

public class ActivityUtils {

    public static void startActivity(Context context, Class<?> c) {
        Intent intent = new Intent();
        intent.setClass(context, c);
        tryStartActivity(context, intent);
    }

    private static void tryStartActivity(Context context, Intent intent) {
        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.HONEYCOMB) {
            intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK
                    | Intent.FLAG_ACTIVITY_CLEAR_TOP | Intent.FLAG_ACTIVITY_CLEAR_TASK);
        } else {
            intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK
                    | Intent.FLAG_ACTIVITY_CLEAR_TOP);
        }
        context.startActivity(intent);
    }
}